- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deletes a ChangeRequest.
Behavior depends on the caller's permissions and the resource's state: 1. Callers with dataplex.changeRequests.delete can only delete ChangeRequests in the NEW state. 2. Callers with the dataplex.changeRequests.adminDelete permission can delete ChangeRequests regardless of their state.
HTTP request
DELETE https://dataplex.googleapis.com/v1/{name=projects/*/locations/*/changeRequests/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the ChangeRequest to delete. Format: projects/{projectNumber}/locations/{locationId}/changeRequests/{change_request_id} |
Query parameters
| Parameters | |
|---|---|
etag |
Optional. The etag of the ChangeRequest. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permissions on the name resource:
dataplex.changeRequests.delete
For more information, see the IAM documentation.